Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.images.stock({
query: "<value>",
});
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/images/stock \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/images/stock"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/images/stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "stock_photo_search_result",
"query": "<string>",
"total": 123,
"credits_used": 0,
"photos": [
{
"id": 123,
"url": "<string>",
"photographer": "<string>",
"photographer_url": "<string>",
"alt": "<string>",
"width": 123,
"height": 123,
"avg_color": "<string>",
"src": {
"original": "<string>",
"large": "<string>",
"medium": "<string>",
"small": "<string>"
}
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "rate_limit_exceeded",
"message": "Too many requests. Please retry later."
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Images
Search stock photos
Searches free Pexels stock photography by keyword and returns ready-to-use, resolvable image URLs. No credits are charged (credits_used is always 0).
GET
/
images
/
stock
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.images.stock({
query: "<value>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Query Parameters
The search term used to find photos.
Number of photos to return (1–80).
Required range:
1 <= x <= 80Filter by photo orientation.
Available options:
landscape, portrait, square Filter by dominant color.
Available options:
red, orange, yellow, green, turquoise, blue, violet, pink, brown, black, gray, white Filter by minimum photo size.
Available options:
large, medium, small Was this page helpful?

